/*=============================================================================
	UnXC_Lev.h
=============================================================================*/

#ifndef _INC_XC_LEV
#define _INC_XC_LEV

class XC_ENGINE_API UXC_Level : public ULevel
{
	public:
	UXC_Level()
	{};
	virtual void TickNetServer( FLOAT DeltaSeconds );
	virtual INT ServerTickClient( UNetConnection* Conn, FLOAT DeltaSeconds );
	virtual EAcceptConnection NotifyAcceptingConnection();
	DECLARE_CLASS(UXC_Level,ULevel,0,XC_Engine);
};

#ifndef DISABLE_ADDONS
#include "XC_CoreObj.h"

class XC_ENGINE_API FXC_BrushTrackerFixer : public FGenericSystem
{
public:
	TArray<AMover*> StaticMovers;
	ULevel* XLevel;
	//FExec interface
//	UBOOL Exec( const TCHAR* Cmd, FOutputDevice& Ar );

	FXC_BrushTrackerFixer()
	:	StaticMovers(0)
	,	XLevel(NULL)
	{};

	//FGenericSystem interface
	UBOOL Init();
	INT Tick( FLOAT DeltaSeconds=0.f);
	void Exit();

	UBOOL IsTyped( const TCHAR* Type);
};

#endif

#endif
